#
# spec file for package libreadline-java
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#
# icecream 0


Name:           libreadline-java
Version:        0.8.0
Release:        283.6
Summary:        Java Wrapper for the EditLine Library
License:        LGPL-2.1+
Group:          Development/Libraries/Java
Source0:        http://download.sourceforge.net/java-readline/libreadline-java-0.8.0-src.tar.gz
Source1:        baselibs.conf
Patch0:         libreadline-java-ncurses.patch
Patch1:         libreadline-java-libdir.patch
Patch2:         libreadline-java-0.8.0-missing-return-type.patch
Url:            http://java-readline.sf.net/
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

BuildRequires:  java-devel
BuildRequires:  javapackages-tools
BuildRequires:  libedit-devel >= 2.9
BuildRequires:  ncurses-devel

Provides:       gnu.readline
Provides:       java_readline

Requires:       java >= 1.4.2
Requires:       libedit >= 2.9

#BuildRequires:  fastjar
#BuildRequires:  gjdoc
#BuildRequires:  java-1_4_2-gcj-compat-devel
#BuildRequires:  readline-devel
#BuildRequires:  termcap
#BuildRequires:  unzip
#BuildRequires:  xerces-j2
#PreReq:         /sbin/ldconfig

%description
libreadline-java provides Java bindings for libedit though a JNI
wrapper.

%package javadoc
PreReq:         coreutils
Summary:        Javadoc for libreadline-java
Group:          Development/Libraries/Java

%description javadoc
libreadline-java provides Java bindings for libedit though a JNI
wrapper. This package contains the javadoc documentation for it.


%prep
%setup -q -n %{name}-%{version}
%patch0
%patch1
%patch2 -p1
find . -name "*.jar" -exec rm -f {} \;
sed -i 's|@LIBDIR@|%{_libdir}|' src/org/gnu/readline/Readline.java

%build
export JAVA_HOME=%{java_home}
export PATH=$JAVA_HOME/bin:$JAVA_HOME/jre/bin:$PATH
make T_LIBS=JavaEditline CFLAGS="%{optflags} -fPIC -DPOSIX"
make apidoc

# fix debuginfo package
rm -f org test
for dir in org test
do
  ln -s src/$dir
done

%install
# install jar file and JNI library under %{_libdir}/%{name}
# FIXME: fix jpackage-utils to handle multilib correctly
mkdir -p $RPM_BUILD_ROOT%{_libdir}/%{name}
install -m 644 %{name}.jar \
  $RPM_BUILD_ROOT%{_libdir}/%{name}/%{name}.jar
install -m 755 libJavaEditline.so $RPM_BUILD_ROOT%{_libdir}/%{name}

# javadoc
mkdir -p $RPM_BUILD_ROOT%{_javadocdir}/%{name}
cp -a api/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(0644,root,root,0755)
%doc ChangeLog NEWS README README.1st VERSION COPYING.LIB
%dir %{_libdir}/%{name}
%attr(-,root,root) %{_libdir}/%{name}/*

%files javadoc
%defattr(0644,root,root,0755)
%doc %{_javadocdir}/%{name}

%changelog
* Fri Sep 13 2013 mvyskocil@suse.com
- add javapackages-tools to buildrequires
* Wed Jun 20 2012 mvyskocil@suse.cz
- do not build with gcc java
- use libedit instead of gnu readline (licensing issues)
* Thu Jan 12 2012 andreas.stieger@gmx.de
- remove libreadline-java-java14compat.patch
  ( -C -ftarget=1.4 not supported by current javac )
* Mon Feb  1 2010 jengelh@medozas.de
- package baselibs.conf
* Thu Jul 31 2008 anosek@suse.cz
- added %%{_javadocdir} to the %%files section
* Thu Apr 10 2008 ro@suse.de
- added baselibs.conf file to build xxbit packages
  for multilib support
* Wed Jan 23 2008 mvyskocil@suse.cz
- fixed beta build
* Tue May 29 2007 dbornkessel@suse.de
- added gjdoc and fastjar to BuildRequires
* Wed May  2 2007 dbornkessel@suse.de
- added unzip to BuildRequires
* Wed Feb 14 2007 dbornkessel@suse.de
- added missing return type where missing (Bug #237944)
* Thu Dec 14 2006 jsmeix@suse.de
- Removed xml-commons-apis from BuildRequires because xerces-j2
  already provides xml-commons-apis but xerces-j2 would be
  deinstalled when rpm installs xml-commons-apis after xerces-j2
  (which is rpm standard behaviour in this case) but without
  xerces-j2 the RPM capabilities jaxp_parser_impl and
  xml-commons-resolver are no longer provided in the
  installed system.
* Tue Sep 26 2006 skh@suse.de
- don't use icecream
- use -source 1.4 and -target 1.4 for build with java 1.5
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Nov 25 2005 jsmeix@suse.de
- Replaced {_jnidir} by {_jnidir}-ext
* Wed Aug 17 2005 uli@suse.de
- fixed to build on lib64 archs
* Thu Jul 28 2005 jsmeix@suse.de
- Adjustments in the spec file.
* Mon Jul 18 2005 jsmeix@suse.de
- Current version 0.8.0 from JPackage.org
* Wed Jul 13 2005 uli@suse.de
- lib64tified (fixes s390x)
* Thu Nov 18 2004 ro@suse.de
- fixed file list
* Wed Sep 15 2004 skh@suse.de
- Fix Requires (remove fixed dependency on readline 4.3 and enable rpm
  dependency check)
* Wed Sep  8 2004 skh@suse.de
- Fix PreRequire
* Thu Sep  2 2004 skh@suse.de
- Initial package created with version 0.8.0 (JPackage 1.5)
